import { FormItemEntity } from "./Form";
import { ResultStatus } from "./FormResultStatus";
export declare class FormResultEntity {
    id: string;
    form: string;
    ipAddress?: string;
    date?: Date;
    client?: {
        id: string;
        email?: string;
    };
    eventId?: string;
    result?: FormItemEntity[];
    emailResult?: string;
    author?: string;
    currentStatus?: ResultStatus;
    static fromFormResultDto(dto: FormResultDto, timeZone: string): FormResultEntity;
    static toFormResultDto(entity: FormResultEntity): FormResultDto;
}
export declare class FormResultDto {
    id: string;
    form: string;
    ipAddress?: string;
    date?: string;
    client?: string;
    eventId?: string;
    result?: FormItemEntity[];
    clientEmailAddress?: string;
    author?: string;
    currentStatus?: ResultStatus;
}
