import { SettingsPeriodWorkingDto, SettingsPeriodWorkingEntity } from "./WorkingHours";
export declare class ServiceResourceEntity {
    id?: string;
    company: {
        id: string;
    };
    name: string;
    quantity: number;
    availability: boolean;
    services?: {
        id: string;
    }[];
    customWorkingHours?: SettingsPeriodWorkingEntity[];
    static fromServiceResourceDto(dto: ServiceResourceDto, companyId: string): ServiceResourceEntity;
    static toServiceResourceDto(entity: ServiceResourceEntity): ServiceResourceDto;
}
export declare class ServiceResourceDto {
    id?: string;
    name: string;
    quantity: number;
    availability: boolean;
    services?: {
        id: string;
    }[];
    customWorkingHours?: SettingsPeriodWorkingDto[];
}
