/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { FormItemEntity } from "./Form";
export declare class StaffFormsEntity {
    id: string;
    mobilePhoneMandatory: boolean;
    otherPhoneMandatory: boolean;
    emailMandatory: boolean;
    descriptionMandatory: boolean;
    lastnameMandatory: boolean;
    titleMandatory: boolean;
    firstnameMandatory: boolean;
    genderMandatory: boolean;
    title?: string;
    fields?: FormItemEntity[];
    static fromStaffFormsDto(dto: StaffFormsDto, account: string): StaffFormsEntity;
}
export declare class StaffFormsDto {
    'mobilePhone-mandatory': boolean;
    'otherPhone-mandatory': boolean;
    'email-mandatory': boolean;
    'description-mandatory': boolean;
    'lastname-mandatory': boolean;
    'title-mandatory': boolean;
    'firstname-mandatory': boolean;
    'gender-mandatory': boolean;
    title?: string;
    fields?: FormItemEntity[];
}
