import { SettingsWorkingDayDto, SettingsWorkingDayEntity } from "./WorkingHours";
export declare class StaffGroupEntity {
    id?: string;
    name: string;
    color: string;
    members?: {
        id: string;
        firstName: string;
        lastName: string;
    }[];
    managers?: {
        id: string;
        firstName: string;
        lastName: string;
    }[];
    workingHours?: SettingsWorkingDayEntity[];
    externalId?: string;
    companyId: string;
    cipherId?: string;
    static fromStaffGroupDto(dto: StaffGroupDto, companyId: string): StaffGroupEntity;
    static toStaffGroupDto(entity: StaffGroupEntity): StaffGroupDto;
}
export declare class StaffGroupDto {
    id?: string;
    name: string;
    color: string;
    members?: {
        id: string;
        firstName: string;
        lastName: string;
    }[];
    managers?: {
        id: string;
        firstName: string;
        lastName: string;
    }[];
    workingHours?: SettingsWorkingDayDto[];
    externalId?: string;
    cipherId?: string;
}
