import { PlanningHourDto, PlanningHourEntity } from "./PlanningHour";
export type DayProperty = "sunday" | "monday" | "tuesday" | "wednesday" | "thursday" | "friday" | "saturday";
export declare class PlanningDayEntity {
    day: DayProperty;
    hours?: PlanningHourEntity[];
    static toDto(entity: PlanningDayEntity): PlanningDayDto;
    static fromDto(dto: PlanningDayDto): PlanningDayEntity;
}
export declare class PlanningDayDto {
    day: DayProperty;
    hours?: PlanningHourDto[];
}
