export declare class SchedulingRightsEntity {
    user?: SimpleUserEntity;
    companies: CompanySchedulingRightsEntity[];
    static fromSchedulingRightsDto(dto: SchedulingRightsDto): SchedulingRightsEntity;
    static toSchedulingRightsDto(entity: SchedulingRightsEntity): SchedulingRightsDto;
    static getUserName(entity: SchedulingRightsEntity): string;
}
export declare class SchedulingRightsDto {
    user?: SimpleUserDto;
    companies: CompanySchedulingRightsDto[];
}
export declare class CompanySchedulingRightsEntity {
    company: {
        id: string;
        name?: string;
    };
    right: string;
    static fromCompanySchedulingRightsDto(dto: CompanySchedulingRightsDto): CompanySchedulingRightsEntity;
    static toCompanySchedulingRightsDto(entity: CompanySchedulingRightsEntity): CompanySchedulingRightsDto;
}
export declare class CompanySchedulingRightsDto {
    company: {
        id: string;
        name?: string;
    };
    right: string;
}
declare class SimpleUserEntity {
    id: string;
    firstName?: string;
    lastName?: string;
    email?: string;
}
declare class SimpleUserDto {
    id: string;
    firstName?: string;
    lastName?: string;
    email?: string;
}
export {};
