import { IndexedDb } from './index';
import { CRMSettingsEntity } from "../data/CRMSettings";
export declare class CRMSettingsDB {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    getByAccount(account: string): Promise<CRMSettingsEntity>;
    drop(): Promise<void>;
    saveAll(items: CRMSettingsEntity[]): Promise<void>;
}
