import { IndexedDb } from "./index";
import { NotificationEntity } from "../data/Notification";
export declare class NotificationDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    getById(objectId: string): Promise<NotificationEntity>;
    saveAllNotifications(notifications: NotificationEntity[]): Promise<void>;
    drop(): Promise<void>;
}
