import { IndexedDb } from './index';
import { ShortPollingNotificationEntity } from "../data/ShortPollingNotification";
export declare class ShortPollingNotificationDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    saveNotification(notification: ShortPollingNotificationEntity): Promise<void>;
    saveAllNotifications(notifications: ShortPollingNotificationEntity[]): Promise<void>;
    deleteNotification(notificationId: string): Promise<void>;
    deleteAllNotifications(): Promise<void>;
    getById(objectId: string): Promise<ShortPollingNotificationEntity>;
    getAll(): Promise<ShortPollingNotificationEntity[]>;
    drop(): Promise<void>;
}
