import HttpClient from "./index";
import { ConferenceRegistrationCancelDto, ConferenceRegistrationDto } from "../data/conference/Conference";
export declare class ConferenceRegistrationService extends HttpClient {
    getConferenceRegistrations(bearer: string, account: string | undefined, conferenceId: string, sessionId: string, withCancel?: boolean): Promise<ConferenceRegistrationDto[]>;
    generateConferenceRegistrationExportCsv(bearer: string, account: string | undefined, options: {
        conferenceId?: string;
        sessionId?: string;
        locale?: string;
    }): Promise<string>;
    cancelRegistration(bearer: string, account: string | undefined, conferenceId: string, sessionId: string, registrationId: string, registrationCancelDto: ConferenceRegistrationCancelDto): Promise<void>;
    updateRegistration(bearer: string, account: string | undefined, conferenceId: string, sessionId: string, registration: ConferenceRegistrationDto): Promise<ConferenceRegistrationDto>;
}
