import HttpClient from './index';
import { CustomStatusDto } from "../data/CustomStatus";
export declare class CustomStatusService extends HttpClient {
    getAllCustomStatus(bearer: string, account: string, appointmentId?: string): Promise<CustomStatusDto[]>;
    getById(bearer: string, account: string, customStatusId: string): Promise<CustomStatusDto>;
    createCustomStatus(bearer: string, account: string, customStatus: CustomStatusDto): Promise<CustomStatusDto>;
    updateCustomStatus(bearer: string, account: string, customStatusId: string, customStatus: CustomStatusDto): Promise<CustomStatusDto>;
    deleteCustomStatus(bearer: string, account: string, customStatusId: string): Promise<void>;
}
