export declare function getEventFieldParameter(fields: string[]): string;
export declare function getDefaultEventField(): EventFields[];
export declare enum EventFields {
    ID = "id",
    START = "start",
    END = "end",
    OWNER = "owner",
    NOTES = "notes",
    CREATED = "created",
    STAFF = "staff",
    HISTORY = "history",
    SOURCE = "source",
    REFERENCE = "reference",
    SERVICE = "service",
    ENCRYPTED_ID = "encryptedId",
    PAID = "paid",
    CLIENT = "client",
    COMPANY = "company",
    STATUS = "status",
    SUMMARY = "summary",
    RESOURCE = "resource",
    SERVICE_RESOURCE = "service-resource",
    PARENT = "parent",
    RESCHEDULE_LINK = "rescheduleLink",
    ONLINE_MEETING = "onlineMeeting",
    PRICE = "price",
    FORM = "form",
    PREPARATION_DURATION = "preparationDuration",
    BUFFER_DURATION = "bufferDuration"
}
