export declare class ConnectorEntity {
    name: string;
    service: string;
    provider: string;
    status: 'available' | 'installed' | 'disabled';
    type: 'calendar' | 'contacts' | 'visio' | 'unknown';
    description: string;
    title: string;
    logoUrl: string;
    initializeLink: string;
    revokeLink: string;
    constructor();
    static fromDto(dto: ConnectorDto): ConnectorEntity;
}
export declare class ConnectorDto {
    name?: string;
    service?: string;
    provider?: string;
    status?: 'available' | 'installed' | 'disabled';
    type?: 'calendar' | 'contacts' | 'visio';
    description?: string;
    title?: string;
    logoUrl?: string;
    initializeLink?: string;
    revokeLink?: string;
}
