export declare class FormResultStatusEntity {
    resultId: string;
    login?: string;
    status: ResultStatus;
    date: Date;
    connectedUser?: string;
    static fromFormResultStatusDto(dto: FormResultStatusDto, timeZone: string): FormResultStatusEntity;
    static toFormResultStatusDto(entity: FormResultStatusEntity): FormResultStatusDto;
}
export declare class FormResultStatusDto {
    resultId: string;
    login?: string;
    status: ResultStatus;
    date?: string;
    connectedUser?: string;
}
export type ResultStatus = 'NEUTRAL' | 'IN_PROGRESS' | 'FINISHED' | 'REOPENING';
export declare enum ResultStatusValues {
    NEUTRAL = 0,
    IN_PROGRESS = 1,
    FINISHED = 2,
    REOPENING = 3
}
