export declare class IntegrationEntity {
    name: string;
    title: string;
    description: string;
    logoUrl: string;
    status: 'available' | 'connected' | 'disabled';
    error?: {
        message: string;
        provider: string;
    };
    connected?: {
        dateTime: Date;
        timeZone: string;
    };
    revokeLink?: string;
    initializeLink?: string;
    constructor();
    static fromDto(dto: IntegrationDto): IntegrationEntity;
}
export declare class IntegrationDto {
    name: string;
    title: string;
    description: string;
    logoUrl: string;
    status: 'available' | 'connected' | 'disabled';
    error?: {
        message: string;
        provider: string;
    };
    connected?: {
        dateTime: Date;
        timeZone: string;
    };
    revokeLink?: string;
    initializeLink?: string;
}
