export declare class NoteEntity {
    id: string;
    clientId: string;
    note: string;
    writer: {
        email?: string;
        firstName?: string;
        lastName?: string;
    };
    date: Date;
    static fromNoteDto(dto: NoteDto): NoteEntity;
    static toNoteDto(entity: NoteEntity): NoteDto;
}
export declare class NoteDto {
    id: string;
    clientId: string;
    html: string;
    writer: {
        email?: string;
        firstName?: string;
        lastName?: string;
    };
    date: {
        dateTime?: string;
        timeZone?: string;
    };
}
