export declare class PrivacyPolicyEntity {
    id?: string;
    privateData: {
        consentMode: string;
        consentText?: ConsentTextEntity;
    };
    marketing: {
        consentMode: string;
        consentText?: ConsentTextEntity;
    };
    static fromPrivacyPolicyDto(dto: PrivacyPolicyDto, ownerId: string): PrivacyPolicyEntity;
}
export declare class ConsentTextEntity {
    EN?: string;
    FR?: string;
    ES?: string;
    DE?: string;
    IT?: string;
    PT?: string;
    NL?: string;
    JP?: string;
    static fromConsentTextDto(dto: ConsentTextDto): ConsentTextEntity;
}
export declare class PrivacyPolicyDto {
    privateData: {
        consentMode: string;
        consentText?: ConsentTextDto;
    };
    marketing: {
        consentMode: string;
        consentText?: ConsentTextDto;
    };
}
export declare class ConsentTextDto {
    EN?: string;
    FR?: string;
    ES?: string;
    DE?: string;
    IT?: string;
    PT?: string;
    NL?: string;
    JP?: string;
}
