export declare class QueueEntity {
    id: string;
    author: string;
    name: string;
    welcomeMessage: string;
    thankMessage: string;
    company: {
        id: string;
        name?: string;
    };
    form?: {
        id: string;
        name?: string;
    };
    static fromQueueDto(dto: QueueDto): QueueEntity;
    static toQueueDto(entity: QueueEntity): QueueDto;
}
export declare class QueueDto {
    id: string;
    author: string;
    name: string;
    welcomeMessage: string;
    thankMessage: string;
    company?: {
        id: string;
        name?: string;
    };
    form?: {
        id: string;
        name?: string;
    };
}
