import { ImageEntity } from "./Image";
export declare class ServiceGroupEntity {
    id?: string;
    name: string;
    color: string;
    picture?: ImageEntity;
    members?: {
        id: string;
        name: string;
    }[];
    parent?: {
        id?: string;
        name?: string;
    };
    externalId?: string;
    companyId: string;
    cipherId?: string;
    static fromServiceGroupDto(dto: ServiceGroupDto, companyId: string): ServiceGroupEntity;
    static toServiceGroupDto(entity: ServiceGroupEntity): ServiceGroupDto;
}
export declare class ServiceGroupDto {
    id?: string;
    name: string;
    color: string;
    picture?: ImageEntity;
    members?: {
        id: string;
        name: string;
    }[];
    parent?: {
        id?: string;
        name?: string;
    };
    externalId?: string;
    cipherId?: string;
}
