import { PlanningWeekDto, PlanningWeekEntity } from "./PlanningWeek";
export declare class PlanningEntity {
    id: string;
    name: string;
    author: string;
    notes?: string;
    weeks: PlanningWeekEntity[];
    static toDto(entity: PlanningEntity): PlanningDto;
    static fromDto(dto: PlanningDto): PlanningEntity;
}
export declare class PlanningDto {
    id: string;
    name: string;
    author: string;
    notes?: string;
    weeks: PlanningWeekDto[];
}
