import { IndexedDb } from "./index";
import { DashboardStructureEntity } from "../data/dashboard/DashboardStructure";
export declare class DashboardStructureDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    getAllDashboardStructures(): Promise<DashboardStructureEntity[]>;
    saveAllDashboardStructures(dashboardStructures: DashboardStructureEntity[]): Promise<void>;
    getById(objectId: string): Promise<DashboardStructureEntity>;
    deleteById(objectId: string): Promise<void>;
    deleteAll(): Promise<void>;
    drop(): Promise<void>;
}
