import { IndexedDb } from "./index";
import { ConferenceRegistrationEntity } from "../data/conference/Conference";
export declare class ConferenceRegistrationDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    getAllRegistrationBySessionId(sessionId: string): Promise<ConferenceRegistrationEntity[]>;
    saveAllRegistrations(registrations: ConferenceRegistrationEntity[]): Promise<void>;
    getById(objectId: string): Promise<ConferenceRegistrationEntity>;
    deleteById(objectId: string): Promise<void>;
    drop(): Promise<void>;
}
