import { IndexedDb } from "./index";
import { ConferenceTagEntity } from "../data/conference/Conference";
export declare class ConferenceTagDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    getAllConferenceTags(): Promise<ConferenceTagEntity[]>;
    getById(tagId: string): Promise<ConferenceTagEntity>;
    saveAllConferenceTags(conferenceTags: ConferenceTagEntity[]): Promise<void>;
    saveConferenceTag(conferenceTag: ConferenceTagEntity): Promise<void>;
    deleteById(tagId: string): Promise<void>;
    drop(): Promise<void>;
}
