import { IndexedDb } from "./index";
import { CustomStatusEntity } from "../data/CustomStatus";
export declare class CustomStatusDb {
    private indexedDb;
    constructor(indexedDb: IndexedDb);
    saveAllCustomStatus(customStatuses: CustomStatusEntity[]): Promise<void>;
    saveCustomStatus(customStatus: CustomStatusEntity): Promise<void>;
    deleteCustomStatus(customStatusId: string): Promise<void>;
    getAllCustomStatus(): Promise<CustomStatusEntity[]>;
    getById(customStatusId: string): Promise<CustomStatusEntity>;
    deleteByCustomStatusIds(customStatusIds: string[]): Promise<void>;
    drop(): Promise<void>;
}
