/**
 * Copyright 2022 Agendize All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at.
 *
 *      Http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
export declare const TABLE_CALENDAR: string;
export declare const TABLE_CALENDAR_TEAM: string;
export declare const TABLE_CALENDAR_TEAM_DEFAULT: string;
export declare const TABLE_STAFF: string;
export declare const TABLE_STAFF_FORMS: string;
export declare const TABLE_SERVICE: string;
export declare const TABLE_SERVICE_RESOURCE: string;
export declare const TABLE_CONTACT: string;
export declare const TABLE_CONFERENCE: string;
export declare const TABLE_CONFERENCE_SPEAKER: string;
export declare const TABLE_CONFERENCE_INVITEE: string;
export declare const TABLE_CONFERENCE_SESSION: string;
export declare const TABLE_CONFERENCE_REGISTRATION: string;
export declare const TABLE_CONFERENCE_TAG: string;
export declare const TABLE_COMPANY: string;
export declare const TABLE_EVENT: string;
export declare const TABLE_EXTERNAL_EVENT: string;
export declare const TABLE_ICS_EVENT: string;
export declare const TABLE_USER: string;
export declare const TABLE_USER_DEFAULT: string;
export declare const TABLE_USER_DIRECTORY: string;
export declare const TABLE_FORM: string;
export declare const TABLE_FORM_BUILDER: string;
export declare const TABLE_PRIVACY_POLICY: string;
export declare const TABLE_PLANNING: string;
export declare const TABLE_PROMOTE_FIELD: string;
export declare const TABLE_SERVICE_GROUP: string;
export declare const TABLE_STAFF_GROUP: string;
export declare const TABLE_RIGHTS: string;
export declare const TABLE_SCHEDULING_RIGHTS: string;
export declare const TABLE_NOTE: string;
export declare const TABLE_NOTIFICATION: string;
export declare const TABLE_SHORT_POLLING_NOTIFICATION: string;
export declare const TABLE_NOTIFICATION_STATUS: string;
export declare const TABLE_QUEUE: string;
export declare const TABLE_CUSTOM_STATUS: string;
export declare const TABLE_CRM_SETTINGS: string;
export declare const TABLE_DASHBOARD_STRUCTURE: string;
export declare const TABLE_SETTINGS: string;
export declare class IndexedDb {
    private database;
    private version;
    private db;
    constructor(database: string, version: number);
    private getComputedVersionNumber;
    private initDB;
    private getDB;
    getValue(tableName: string, id: any): Promise<any>;
    getAllValue(tableName: string, query?: string | undefined): Promise<any[]>;
    putValue(tableName: string, value: object): Promise<any>;
    putBulkValue(tableName: string, values: object[]): Promise<any[]>;
    deleteValue(tableName: string, id: any): Promise<void>;
    deleteValues(tableName: string, ids: any[]): Promise<void>;
    deleteAllValues(tableName: string): Promise<void>;
    deleteAllTables(): Promise<void>;
    private _instanceOfEntity;
}
