import HttpClient from "./index";
import { FormResultDto } from "../data/FormResult";
export declare class FormResultService extends HttpClient {
    getAllResults(bearer: string, formId: string, account: string): Promise<FormResultDto[]>;
    getFormResultById(bearer: string, formId: string, resultId: string, account: string): Promise<FormResultDto>;
    delete(bearer: string, formId: string, resultId: string, account: string): Promise<void>;
    updateResult(bearer: string, formId: string, resultId: string, result: FormResultDto, account: string): Promise<FormResultDto>;
}
