import HttpClient from './index';
import { ConferenceTagDto } from "../data/conference/Conference";
export declare class ConferenceTagService extends HttpClient {
    getAllConferenceTags(bearer: string, account: string): Promise<ConferenceTagDto[]>;
    createConferenceTag(bearer: string, account: string, dto: ConferenceTagDto): Promise<ConferenceTagDto>;
    updateConferenceTag(bearer: string, account: string, tagId: string, dto: ConferenceTagDto): Promise<ConferenceTagDto>;
    getById(bearer: string, account: string, tagId: string): Promise<ConferenceTagDto>;
    deleteById(bearer: string, account: string, tagId: string): Promise<void>;
    protected filteredDataLog(data: any): any;
}
